Close

HAVE QUESTIONS?

A partner account manager can help. Contact us today.

Subscribe me to your mailing list

[ERPSCAN-10-010] [ZDI-10-290] SAP NetWeaver Business Client SapThemeRepository ActiveX Control Remote Code Execution Vulnerability

Application: SAP NetWeaver, TippingPoint™ IPS Customer Protection
Versions Affected:
Vendor URL:http://www.sap.com
Bugs:
Reported: 03.09.2010
Vendor response:
Date of Public Advisory: 14.12.2010
Author: Alexandr Polyakov, Alexey Sintsov

Description
This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of SAP NetWeaver Business Client. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file. The specific flaw exists within the Load and LoadTheme methods of the SapThemeRepository ActiveX control (sapwdpcd.dll) implemented by SAP NetWeaver Business Client. Due to a failure in bounds checking, a user-supplied parameter supplied to the vulnerable methods can overflow a stack buffer resulting in arbitrary code execution under the context of the user running the browser.

Business Risk
An attacker can send a malicious link to an unaware user using e-mail, messaging or social networks. He also can insert this link into corporate portal. When clicking this link the end user browser will call vulnerable ActiveX component and overflow a stack buffer resulting in arbitrary code execution under the context of the user running the browser. It can be used by attacker to gain full control on victim's workstation.